<?xml version="1.0" encoding="UTF-8"?><manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.hmg.atoms" android:versionCode="12" android:versionName="1.3.0">
    
  <uses-sdk android:minSdkVersion="21" android:targetSdkVersion="34"/>
    
  <uses-permission android:name="android.permission.INTERNET"/>
    
  <uses-permission android:name="android.permission.ACCESS_NOTIFICATION_POLICY"/>
    
  <uses-permission android:name="android.permission.VIBRATE"/>
    
  <uses-permission android:name="android.permission.WAKE_LOCK"/>
    
  <uses-permission android:name="android.permission.USE_FULL_SCREEN_INTENT"/>
    
  <uses-permission android:name="android.permission.RECORD_AUDIO"/>
    
  <uses-permission android:name="android.permission.BLUETOOTH"/>
    
  <uses-permission android:name="android.permission.BLUETOOTH_ADMIN"/>
    
  <uses-permission android:name="android.permission.BLUETOOTH_CONNECT"/>
    
  <uses-permission android:name="android.permission.NFC"/>
    
  <uses-permission android:name="android.permission.USE_BIOMETRIC"/>
    
  <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
    
  <uses-permission android:name="android.permission.USE_EXACT_ALARM"/>
    
  <uses-permission android:name="android.permission.SCHEDULE_EXACT_ALARM"/>
    
  <uses-permission android:name="android.permission.WRITE_CALENDAR"/>
    
  <uses-permission android:name="android.permission.READ_CALENDAR"/>
    
  <queries>
        
    <intent>
            
      <action android:name="android.speech.RecognitionService"/>
          
    </intent>
        
    <intent>
            
      <action android:name="android.intent.action.VIEW"/>
          
    </intent>
        
    <package android:name="com.whatsapp"/>
        
    <intent>
            
      <action android:name="android.intent.action.GET_CONTENT"/>
            
      <data android:mimeType="*/*"/>
          
    </intent>
        
    <intent>
            
      <action android:name="android.media.browse.MediaBrowserService"/>
          
    </intent>
        
    <package android:name="com.huawei.android.pushagent"/>
        
    <intent>
            
      <action android:name="com.huawei.hms.core.aidlservice"/>
          
    </intent>
        
    <intent>
            
      <action android:name="com.huawei.hms.core"/>
          
    </intent>
        
    <package android:name="com.huawei.works"/>
      
  </queries>
    
  <queries>
        
    <intent>
            
      <action android:name="android.intent.action.INSERT"/>
            
      <data android:mimeType="vnd.android.cursor.item/event"/>
          
    </intent>
      
  </queries>
    
  <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" android:maxSdkVersion="32"/>
    
  <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    
  <uses-permission android:name="android.permission.POST_NOTIFICATIONS"/>
    
  <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    
  <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    
  <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS"/>
    
  <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE"/>
    
  <uses-permission android:name="android.permission.USE_FINGERPRINT"/>
    
  <permission android:name="com.hmg.atoms.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION" android:protectionLevel="signature"/>
    
  <uses-permission android:name="com.hmg.atoms.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION"/>
    
  <permission android:name="com.hmg.atoms.permission.PROCESS_PUSH_MSG" android:protectionLevel="signature"/>
    
  <permission android:name="com.hmg.atoms.permission.PUSH_PROVIDER" android:protectionLevel="signature"/>
    
  <permission android:name="com.hmg.atoms.permission.PUSH_WRITE_PROVIDER" android:protectionLevel="signature"/>
    
  <uses-permission android:name="com.hmg.atoms.permission.PROCESS_PUSH_MSG"/>
    
  <uses-permission android:name="com.hmg.atoms.permission.PUSH_PROVIDER"/>
    
  <uses-permission android:name="android.permission.CAMERA"/>
    
  <uses-feature android:name="android.hardware.camera" android:required="false"/>
    
  <uses-feature android:name="android.hardware.camera.front" android:required="false"/>
    
  <uses-feature android:name="android.hardware.camera.autofocus" android:required="false"/>
    
  <uses-feature android:name="android.hardware.camera.flash" android:required="false"/>
    
  <uses-feature android:name="android.hardware.screen.landscape" android:required="false"/>
    
  <uses-feature android:name="android.hardware.wifi" android:required="false"/>
    
  <application android:name="android.app.Application" android:appComponentFactory="androidx.core.app.CoreComponentFactory" android:debuggable="true" android:icon="@mipmap/ic_launcher" android:label="ATOMS" android:roundIcon="@mipmap/ic_launcher_round" android:showWhenLocked="true" android:turnScreenOn="true" android:usesCleartextTraffic="true">
        
    <activity android:name="com.example.test_sa.MainActivity" android:configChanges="orientation|keyboardHidden|keyboard|screenSize|smallestScreenSize|locale|layoutDirection|fontScale|screenLayout|density|uiMode" android:exported="true" android:hardwareAccelerated="true" android:launchMode="singleTop" android:theme="@style/LaunchTheme" android:windowSoftInputMode="adjustResize">
            
      <meta-data android:name="io.flutter.embedding.android.NormalTheme" android:resource="@style/NormalTheme"/>
            
      <intent-filter>
                
        <action android:name="android.intent.action.MAIN"/>
                
        <category android:name="android.intent.category.LAUNCHER"/>
              
      </intent-filter>
          
    </activity>
        
    <activity android:name="com.yalantis.ucrop.UCropActivity" android:screenOrientation="portrait" android:theme="@style/Theme.AppCompat.Light.NoActionBar"/>
        
    <meta-data android:name="flutterEmbedding" android:value="2"/>
        
    <meta-data android:name="com.google.firebase.messaging.default_notification_channel_id" android:value="high_importance_channel"/>
        
    <meta-data android:name="com.google.firebase.messaging.default_notification_icon" android:resource="@drawable/ic_stat_name"/>
        
    <meta-data android:name="push_kit_auto_init_enabled" android:value="true"/>
        
    <receiver android:name="com.huawei.hms.flutter.push.receiver.local.HmsLocalNotificationBootEventReceiver" android:exported="false">
            
      <intent-filter>
                
        <action android:name="android.intent.action.BOOT_COMPLETED"/>
              
      </intent-filter>
          
    </receiver>
        
    <receiver android:name="com.huawei.hms.flutter.push.receiver.local.HmsLocalNotificationScheduledPublisher" android:exported="false"/>
        
    <receiver android:name="com.huawei.hms.flutter.push.receiver.BackgroundMessageBroadcastReceiver" android:enabled="true" android:exported="false">
            
      <intent-filter>
                
        <action android:name="com.huawei.hms.flutter.push.receiver.BACKGROUND_REMOTE_MESSAGE"/>
              
      </intent-filter>
          
    </receiver>
        
    <receiver android:name="com.dexterous.flutterlocalnotifications.ActionBroadcastReceiver" android:exported="false"/>
        
    <receiver android:name="com.dexterous.flutterlocalnotifications.ScheduledNotificationReceiver" android:exported="false"/>
        
    <receiver android:name="com.dexterous.flutterlocalnotifications.ScheduledNotificationBootReceiver" android:exported="false">
            
      <intent-filter>
                
        <action android:name="android.intent.action.BOOT_COMPLETED"/>
                
        <action android:name="android.intent.action.MY_PACKAGE_REPLACED"/>
                
        <action android:name="android.intent.action.QUICKBOOT_POWERON"/>
                
        <action android:name="com.htc.intent.action.QUICKBOOT_POWERON"/>
              
      </intent-filter>
          
    </receiver>
        
    <service android:name="io.flutter.plugins.firebase.messaging.FlutterFirebaseMessagingBackgroundService" android:exported="false" android:permission="android.permission.BIND_JOB_SERVICE"/>
        
    <service android:name="io.flutter.plugins.firebase.messaging.FlutterFirebaseMessagingService" android:exported="false">
            
      <intent-filter>
                
        <action android:name="com.google.firebase.MESSAGING_EVENT"/>
              
      </intent-filter>
          
    </service>
        
    <receiver android:name="io.flutter.plugins.firebase.messaging.FlutterFirebaseMessagingReceiver" android:exported="true" android:permission="com.google.android.c2dm.permission.SEND">
            
      <intent-filter>
                
        <action android:name="com.google.android.c2dm.intent.RECEIVE"/>
              
      </intent-filter>
          
    </receiver>
        
    <service android:name="com.google.firebase.components.ComponentDiscoveryService" android:directBootAware="true" android:exported="false">
            
      <meta-data android:name="com.google.firebase.components:io.flutter.plugins.firebase.messaging.FlutterFirebaseAppRegistrar" android:value="com.google.firebase.components.ComponentRegistrar"/>
            
      <meta-data android:name="com.google.firebase.components:io.flutter.plugins.firebase.core.FlutterFirebaseCoreRegistrar" android:value="com.google.firebase.components.ComponentRegistrar"/>
            
      <meta-data android:name="com.google.firebase.components:com.google.firebase.messaging.FirebaseMessagingKtxRegistrar" android:value="com.google.firebase.components.ComponentRegistrar"/>
            
      <meta-data android:name="com.google.firebase.components:com.google.firebase.messaging.FirebaseMessagingRegistrar" android:value="com.google.firebase.components.ComponentRegistrar"/>
            
      <meta-data android:name="com.google.firebase.components:com.google.firebase.installations.FirebaseInstallationsKtxRegistrar" android:value="com.google.firebase.components.ComponentRegistrar"/>
            
      <meta-data android:name="com.google.firebase.components:com.google.firebase.installations.FirebaseInstallationsRegistrar" android:value="com.google.firebase.components.ComponentRegistrar"/>
            
      <meta-data android:name="com.google.firebase.components:com.google.firebase.ktx.FirebaseCommonLegacyRegistrar" android:value="com.google.firebase.components.ComponentRegistrar"/>
            
      <meta-data android:name="com.google.firebase.components:com.google.firebase.FirebaseCommonKtxRegistrar" android:value="com.google.firebase.components.ComponentRegistrar"/>
            
      <meta-data android:name="com.google.firebase.components:com.google.firebase.datatransport.TransportRegistrar" android:value="com.google.firebase.components.ComponentRegistrar"/>
          
    </service>
        
    <provider android:name="io.flutter.plugins.firebase.messaging.FlutterFirebaseMessagingInitProvider" android:authorities="com.hmg.atoms.flutterfirebasemessaginginitprovider" android:exported="false" android:initOrder="99"/>
        
    <provider android:name="io.flutter.plugins.imagepicker.ImagePickerFileProvider" android:authorities="com.hmg.atoms.flutter.image_provider" android:exported="false" android:grantUriPermissions="true">
            
      <meta-data android:name="android.support.FILE_PROVIDER_PATHS" android:resource="@xml/flutter_image_picker_file_paths"/>
          
    </provider>
        
    <service android:name="com.google.android.gms.metadata.ModuleDependencies" android:enabled="false" android:exported="false">
            
      <intent-filter>
                
        <action android:name="com.google.android.gms.metadata.MODULE_DEPENDENCIES"/>
              
      </intent-filter>
            
      <meta-data android:name="photopicker_activity:0:required" android:value=""/>
          
    </service>
        
    <service android:name="com.huawei.hms.flutter.push.hms.FlutterHmsMessageService" android:exported="false">
            
      <intent-filter>
                
        <action android:name="com.huawei.push.action.MESSAGING_EVENT"/>
              
      </intent-filter>
          
    </service>
        
    <receiver android:name="com.huawei.hms.flutter.push.receiver.local.HmsLocalNotificationActionsReceiver"/>
        
    <service android:name="com.huawei.hms.flutter.push.backgroundmessaging.BackgroundMessagingService" android:exported="true" android:permission="android.permission.BIND_JOB_SERVICE"/>
        
    <provider android:name="com.crazecoder.openfile.FileProvider" android:authorities="com.hmg.atoms.fileProvider.com.crazecoder.openfile" android:exported="false" android:grantUriPermissions="true" android:requestLegacyExternalStorage="true">
            
      <meta-data android:name="android.support.FILE_PROVIDER_PATHS" android:resource="@xml/filepaths"/>
          
    </provider>
        
    <provider android:name="io.flutter.plugins.share.ShareFileProvider" android:authorities="com.hmg.atoms.flutter.share_provider" android:exported="false" android:grantUriPermissions="true">
            
      <meta-data android:name="android.support.FILE_PROVIDER_PATHS" android:resource="@xml/flutter_share_file_paths"/>
          
    </provider>
        
    <activity android:name="io.flutter.plugins.urllauncher.WebViewActivity" android:exported="false" android:theme="@android:style/Theme.NoTitleBar.Fullscreen"/>
        
    <receiver android:name="com.google.firebase.iid.FirebaseInstanceIdReceiver" android:exported="true" android:permission="com.google.android.c2dm.permission.SEND">
            
      <intent-filter>
                
        <action android:name="com.google.android.c2dm.intent.RECEIVE"/>
              
      </intent-filter>
            
      <meta-data android:name="com.google.android.gms.cloudmessaging.FINISHED_AFTER_HANDLED" android:value="true"/>
          
    </receiver>
        
    <service android:name="com.google.firebase.messaging.FirebaseMessagingService" android:directBootAware="true" android:exported="false">
            
      <intent-filter android:priority="-500">
                
        <action android:name="com.google.firebase.MESSAGING_EVENT"/>
              
      </intent-filter>
          
    </service>
        
    <activity android:name="com.google.android.gms.common.api.GoogleApiActivity" android:exported="false" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        
    <provider android:name="com.google.firebase.provider.FirebaseInitProvider" android:authorities="com.hmg.atoms.firebaseinitprovider" android:directBootAware="true" android:exported="false" android:initOrder="100"/>
        
    <provider android:name="androidx.startup.InitializationProvider" android:authorities="com.hmg.atoms.androidx-startup" android:exported="false">
            
      <meta-data android:name="androidx.emoji2.text.EmojiCompatInitializer" android:value="androidx.startup"/>
            
      <meta-data android:name="androidx.lifecycle.ProcessLifecycleInitializer" android:value="androidx.startup"/>
            
      <meta-data android:name="androidx.profileinstaller.ProfileInstallerInitializer" android:value="androidx.startup"/>
          
    </provider>
        
    <uses-library android:name="androidx.window.extensions" android:required="false"/>
        
    <uses-library android:name="androidx.window.sidecar" android:required="false"/>
        
    <meta-data android:name="com.google.android.gms.version" android:value="@integer/google_play_services_version"/>
        
    <receiver android:name="androidx.profileinstaller.ProfileInstallReceiver" android:directBootAware="false" android:enabled="true" android:exported="true" android:permission="android.permission.DUMP">
            
      <intent-filter>
                
        <action android:name="androidx.profileinstaller.action.INSTALL_PROFILE"/>
              
      </intent-filter>
            
      <intent-filter>
                
        <action android:name="androidx.profileinstaller.action.SKIP_FILE"/>
              
      </intent-filter>
            
      <intent-filter>
                
        <action android:name="androidx.profileinstaller.action.SAVE_PROFILE"/>
              
      </intent-filter>
            
      <intent-filter>
                
        <action android:name="androidx.profileinstaller.action.BENCHMARK_OPERATION"/>
              
      </intent-filter>
          
    </receiver>
        
    <service android:name="com.google.android.datatransport.runtime.backends.TransportBackendDiscovery" android:exported="false">
            
      <meta-data android:name="backend:com.google.android.datatransport.cct.CctBackendFactory" android:value="cct"/>
          
    </service>
        
    <service android:name="com.google.android.datatransport.runtime.scheduling.jobscheduling.JobInfoSchedulerService" android:exported="false" android:permission="android.permission.BIND_JOB_SERVICE"/>
        
    <receiver android:name="com.google.android.datatransport.runtime.scheduling.jobscheduling.AlarmManagerSchedulerBroadcastReceiver" android:exported="false"/>
        
    <receiver android:name="com.huawei.hms.support.api.push.PushMsgReceiver" android:directBootAware="true" android:exported="true" android:permission="com.hmg.atoms.permission.PROCESS_PUSH_MSG">
            
      <intent-filter>
                
        <action android:name="com.huawei.intent.action.PUSH_DELAY_NOTIFY"/>
                
        <action android:name="com.huawei.intent.action.PUSH"/>
              
      </intent-filter>
          
    </receiver>
        
    <receiver android:name="com.huawei.hms.support.api.push.PushReceiver" android:directBootAware="true" android:exported="true" android:permission="com.hmg.atoms.permission.PROCESS_PUSH_MSG">
            
      <intent-filter>
                
        <action android:name="com.huawei.android.push.intent.REGISTRATION"/>
                
        <action android:name="com.huawei.android.push.intent.RECEIVE"/>
              
      </intent-filter>
          
    </receiver>
        
    <service android:name="com.huawei.hms.support.api.push.service.HmsMsgService" android:directBootAware="true" android:enabled="true" android:exported="true" android:process=":pushservice">
            
      <intent-filter>
                
        <action android:name="com.huawei.push.msg.NOTIFY_MSG"/>
                
        <action android:name="com.huawei.push.msg.PASSBY_MSG"/>
              
      </intent-filter>
          
    </service>
        
    <provider android:name="com.huawei.hms.support.api.push.PushProvider" android:authorities="com.hmg.atoms.huawei.push.provider" android:exported="true" android:readPermission="com.hmg.atoms.permission.PUSH_PROVIDER" android:writePermission="com.hmg.atoms.permission.PUSH_WRITE_PROVIDER"/>
        
    <meta-data android:name="com.huawei.hms.client.service.name:push" android:value="push:6.12.0.300"/>
        
    <meta-data android:name="com.huawei.hms.min_api_level:push:push" android:value="1"/>
        
    <activity android:name="com.huawei.hms.support.api.push.TransActivity" android:exported="false"/>
        
    <provider android:name="com.huawei.hms.aaid.InitProvider" android:authorities="com.hmg.atoms.aaidinitprovider" android:exported="false" android:initOrder="500"/>
        
    <meta-data android:name="com.huawei.hms.client.service.name:opendevice" android:value="opendevice:6.12.0.300"/>
        
    <meta-data android:name="com.huawei.hms.min_api_level:opendevice:push" android:value="1"/>
        
    <meta-data android:name="com.huawei.hms.client.service.name:base" android:value="base:6.11.0.302"/>
        
    <meta-data android:name="com.huawei.hms.min_api_level:base:hmscore" android:value="1"/>
        
    <meta-data android:name="availableLoaded" android:value="yes"/>
        
    <provider android:name="com.huawei.agconnect.core.provider.AGConnectInitializeProvider" android:authorities="com.hmg.atoms.AGCInitializeProvider" android:exported="false"/>
        
    <service android:name="com.huawei.agconnect.core.ServiceDiscovery" android:exported="false"/>
        
    <activity android:name="com.journeyapps.barcodescanner.CaptureActivity" android:clearTaskOnLaunch="true" android:screenOrientation="sensorLandscape" android:stateNotNeeded="true" android:theme="@style/zxing_CaptureTheme" android:windowSoftInputMode="stateAlwaysHidden"/>
        
    <meta-data android:name="com.facebook.soloader.enabled" android:value="false"/>
        
    <activity android:name="com.huawei.hms.activity.BridgeActivity" android:configChanges="orientation|locale|layoutDirection|fontScale|screenSize|smallestScreenSize|screenLayout|uiMode" android:excludeFromRecents="true" android:exported="false" android:hardwareAccelerated="true" android:screenOrientation="behind" android:theme="@style/Base_Translucent">
            
      <meta-data android:name="hwc-theme" android:value="androidhwext:style/Theme.Emui.Translucent"/>
          
    </activity>
        
    <activity android:name="com.huawei.hms.activity.EnableServiceActivity" android:configChanges="orientation|keyboardHidden|screenSize|smallestScreenSize|screenLayout" android:exported="false"/>
        
    <meta-data android:name="com.huawei.hms.client.appid" android:value="appid=111820283"/>
      
  </application>
  
</manifest>
